// ============================================================================
// Login, Passwort Reset & Register page (logged out)
// Hint: The library is added inside page--user.html.twig
// ============================================================================

.path-user {
  &.anonymous {
    // Styles only for anonymus users
  }

  &.authenticated {
    // Styles only for authenticated users
  }
}

// The account box appears on:
// - login
// - signup
// - password reset
// - user pages
.account-box {
  max-width: 500px;
  margin-inline: auto;
  overflow:hidden;

  &__secondary {
    // Right panel, shows a generic login image as default
    // On sites with user login, this is used to force guests
    // to signup.
    height:100%;
    min-height: 400px;
    border: 0 none !important;
    // Background image itself is set as inline style in the template
    // so sub themes are able to replace/remove this.
    background-size: cover;
    background-position: center center;
  }

  .form-actions__link-wrapper--signup {
    order: 99;
    display: flex;
    gap: var(--bs-spacer-1);
    align-items: center;
    flex: 0 0 auto;
    width: 100%;
    border-top: 1px solid rgba(0, 0, 0, 0.15);
    padding-top: var(--bs-spacer-1);
    margin-top: var(--bs-spacer-2);
  }

  .form-actions__link-wrapper--password-reset {
    margin-left: auto;
  }

  &--extended {
    max-width: 1000px;
  }

  &--logged-out {
    // Hide page-options
    // .page-options-wrapper {
    //   display: none;
    // }
  }
}

.user-form {

  // We added this class to all relevant user forms (login, pw reset, sign up)
  .form-actions {
    display: flex;
    align-items:center;
    flex-flow: row wrap;
    gap: var(--bs-spacer-2);

    // Ensure the submit button always is the first one
    >.form-submit {
      order: -99;
      font-weight: var(--bs-font-weight-bold);
    }
  }
}
